#93559 Report by node sphinx covering 2002 tests from 54 modules resulted into 4 errors

Report

ObsPy Version
1.1.0.post0+295.g8f409524ad...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1402.8 sec
Report Date/Time
2018-04-14 06:13:30

System / Python

Architecture
32bit
Machine
i686
Node
sphinx
Processor
i686
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.4
Release
2.6.32-042stab127.2
System
Linux
Version
#1 SMP Thu Jan 4 16:41:44 MSK 2018

Dependencies

cartopy
---
decorator
4.0.6
flake8
2.5.1
future
0.15.2
geographiclib
---
lxml.etree
3.3.5
m2crypto
---
matplotlib
2.0.2
mock
1.3.0
mpl_toolkits.basemap
1.0.7
numpy
1.10.4
pep8-naming
---
pyflakes
1.0.0
pyimgur
---
pyproj
1.9.4
requests
2.9.1
scipy
0.17.0
setuptools
19.6.2
shapefile
---
sqlalchemy
1.0.11

Modules (54)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 1 1
obspy.clients.earthworm - -
obspy.clients.fdsn 3 2 3 4
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_decrypt.py", line 38, in test_get_waveform_with_dcid_key
stream2 = client2.get_waveforms('GE', 'APE', '', 'BHZ', start, end)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 444, in get_waveforms
compressed=compressed, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 622, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 376, in _make_request
httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 559, in urlopen
body=body, headers=headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 378, in _make_request
httplib_response = conn.getresponse()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1227, in getresponse
response.begin()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 386, in begin
version, status, reason = self._read_status()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 356, in _read_status
raise BadStatusLine(line)
http.client.BadStatusLine: ''
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/adapters.py", line 376, in send
timeout=timeout
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 609, in urlopen
_stacktrace=sys.exc_info()[2])
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/util/retry.py", line 247, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/packages/six.py", line 309, in reraise
raise value.with_traceback(tb)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 559, in urlopen
body=body, headers=headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 378, in _make_request
httplib_response = conn.getresponse()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1227, in getresponse
response.begin()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 386, in begin
version, status, reason = self._read_status()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 356, in _read_status
raise BadStatusLine(line)
requests.packages.urllib3.exceptions.ProtocolError: ('Connection aborted.', BadStatusLine("''",))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 328, in test_get_waveforms_integration_test
latitude=35.0, longitude=-110, maxradius=0.3)
File "<decorator-gen-63>", line 2, in get_waveforms_bulk
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 86, in _assert_attach_response_not_in_kwargs
return f(*args, **kwargs)
File "<decorator-gen-62>", line 2, in get_waveforms_bulk
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 87, in get_waveforms_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/base.py", line 233, in _download
r = requests.post(**_request_args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/api.py", line 107, in post
return request('post', url, data=data, json=json, **kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/api.py", line 53, in request
return session.request(method=method, url=url, **kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/sessions.py", line 468, in request
resp = self.send(prep, **send_kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/sessions.py", line 576, in send
r = adapter.send(request, **kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/adapters.py", line 426, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', BadStatusLine("''",))
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_client.py", line 1265, in test_eida_token_resolution
user, password = client._resolve_eida_token(token=token)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 373, in _resolve_eida_token
use_gzip=True, return_string=True)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1382, in _download
raise_on_error(code, data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1735, in raise_on_error
(str(data.__class__.__name__), str(data))))
obspy.clients.fdsn.header.FDSNException: Unknown Error (URLError): <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)>
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 342, in test_get_stations_integration_test
channel="LHZ", level="network")
File "<decorator-gen-64>", line 2, in get_stations
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 110, in get_stations
return super(FederatorRoutingClient, self).get_stations(**kwargs)
File "<decorator-gen-61>", line 2, in get_stations
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 344, in get_stations
return self.get_stations_bulk([bulk], **kwargs)
File "<decorator-gen-65>", line 2, in get_stations_bulk
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 143, in get_stations_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1710, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.

Skipped Tests (43)

Submodule Test Skip Message
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_with_extra_field (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) $HOME/dcidpasswords.txt already exists
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed

Slowest Tests (20)

Runtime Test
627.949s test_get_waveforms_integration_test (obspy.clients.fdsn.tests.test_federator_routing_client.FederatorRoutingClientTestCase)
30.867s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
26.577s test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase)
21.415s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
12.951s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
11.875s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.828s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
11.517s __init__ (obspy.taup)
11.471s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
10.643s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.318s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.161s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.694s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.287s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.277s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.122s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.103s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
7.950s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.856s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
7.765s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris doesn't do Burn Down charts, he does Smack Down charts.